resource_rules:
  issues:
    rules:
      - name: Security issue check
        conditions:
          # Make sure we have at least one closed issue at 12.4
          # so it can generate a summary. (no issue no summary!)
          # This: https://gitlab.com/gitlab-org/plan/issues/10
          state: closed
          milestone: '12.4'
        limits:
          most_recent: 1
        actions:
          summarize:
            title: |
              #{Date.today.iso8601} - security issue check
            summary: |
              We should look at
              https://gitlab.com/groups/gitlab-org/-/boards/1226305?label_name[]=security&milestone_title=%23started
              and ensure that all ~security issues are at least in
              ~"workflow::ready for development", otherwise they are at
              risk of missing the security release.

              /assign @donaldcook @johnhope @jlear @jarka
              /due #{(Date.today + 7).iso8601}
              /label ~"Plan stage refinement"
